Description: debianization
 Meant to maintain a minimal debian/rules, to fix warnings,
 to address Debian specific stuff in general.
 This patch actually specifies the Python interpreter for cmake and
 in the shebang of the Python test.
Origin: debian
Forwarded: not-needed
Author: Jerome Benoit <calculus@rezozer.net>
Last-Update: 2021-11-16

--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -55,8 +55,8 @@
     # Check whether we have SWIG and the Python libraries installed
     find_package(SWIG REQUIRED)
     include(${SWIG_USE_FILE})
-    find_package(PythonInterp REQUIRED)
-    find_package(PythonLibs REQUIRED)
+    find_package(PythonInterp 3 REQUIRED)
+    find_package(PythonLibs 3 REQUIRED)
     include_directories(${PYTHON_INCLUDE_PATH})
 
     # using distutils.
--- a/test/test_python_module.py
+++ b/test/test_python_module.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 
 from __future__ import print_function
 
